package mdp;

public class MDP {
	public int actionNo;
	public int stateNo;
	public Transition[][] trans;
	
	public MDP(int stateNo, int actionNo, Transition[][] trans) {
		this.actionNo = actionNo;
		this.stateNo = stateNo;
		this.trans = trans;
	}
	
	public String toString() {
		String s =
			"states: " + stateNo + "\n" +
			"actions: " + actionNo + "\n" +
			"transitions:\n";
		for(int i = 0; i < trans.length; i++) {
			s += i + ": [";
			for(int j = 0; j < trans[i].length; j++)
				s += (j > 0 ? ", " : "") + trans[i][j]; 
			s += "]\n";
		}
		return s;
	}
}
