package proc;

import java.util.ArrayList;

public class ProcPrefix extends Proc {
	public String label;
	public String channel;
	public boolean output;
	Proc cont;

	public ProcPrefix(String label, String channel, boolean output, Proc cont) {
		this.type = PREFIX;
		this.label = label;
		this.channel = channel;
		this.output = output;
		this.cont = cont;
	}

	public String toString() {
		return label + ":" + (output ? "#" : "") + channel + "." + cont;
	}

	public ArrayList<Transition> transitions() {
		if(trans != null) return trans;
		
		trans = new ArrayList<Transition>();
		trans.add(Transition.dirac(label, channel, output, cont));
		
		return trans;
	}
}
